'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var react = require('react');
var core = require('@amcharts/amcharts4/core');

var useAmcharts = function useAmcharts(classType, configure) {
  var amchartsElRef = react.useRef(null);
  react.useEffect(function () {
    if (!amchartsElRef.current) {
      return;
    }

    var chart = core.create(amchartsElRef.current, classType);
    configure(chart);
    return function () {
      return chart.dispose();
    }; // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [amchartsElRef.current]);
  return {
    amchartsElRef: amchartsElRef
  };
};

exports.useAmcharts = useAmcharts;
//# sourceMappingURL=use-amcharts.cjs.development.js.map
