import { useRef, useEffect } from 'react';
import { create } from '@amcharts/amcharts4/core';

var useAmcharts = function useAmcharts(classType, configure) {
  var amchartsElRef = useRef(null);
  useEffect(function () {
    if (!amchartsElRef.current) {
      return;
    }

    var chart = create(amchartsElRef.current, classType);
    configure(chart);
    return function () {
      return chart.dispose();
    }; // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [amchartsElRef.current]);
  return {
    amchartsElRef: amchartsElRef
  };
};

export { useAmcharts };
//# sourceMappingURL=use-amcharts.esm.js.map
